package GUIAnwendungen.StudentManagementSystem;

import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import java.awt.Color;
import javax.swing.JLabel;
import javax.swing.JButton;
import javax.swing.JTextField;
import javax.swing.JToggleButton;
import javax.swing.JList;
import javax.swing.AbstractListModel;
import javax.swing.JRadioButton;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;

public class Login_Student extends JFrame {

	private static final long serialVersionUID = 1L;
	private JPanel contentPane;
	private JTextField eingabeID;
	private JTextField eingabeName;
	private JTextField eingabeVorname;
	private JTextField einagbeGeburtstag;
	private JTextField eingabeTeleN;
	private JTextField eingabeAdresse;
    static JScrollPane listScrollPane = new JScrollPane();
	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					Login_Student frame = new Login_Student();
					frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the frame.
	 */
	public Login_Student() {
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 617, 421);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));

		setContentPane(contentPane);
		contentPane.setLayout(null);
		
		JPanel panel = new JPanel();
		panel.setBackground(new Color(98, 160, 234));
		panel.setBounds(12, 28, 244, 381);
		contentPane.add(panel);
		panel.setLayout(null);
		
		JLabel studentId = new JLabel("ID: ");
		studentId.setBounds(12, 12, 77, 17);
		panel.add(studentId);
		
		JLabel name = new JLabel("Name: ");
		name.setBounds(12, 52, 98, 17);
		panel.add(name);
		
		JLabel geburtstag = new JLabel("Geburtstag: ");
		geburtstag.setBounds(12, 130, 98, 17);
		panel.add(geburtstag);
		
		JLabel geschlecht = new JLabel("Geschlecht:");
		geschlecht.setBounds(12, 170, 98, 17);
		panel.add(geschlecht);
		
		JLabel tele = new JLabel("TeleN: ");
		tele.setBounds(12, 212, 60, 17);
		panel.add(tele);
		
		JLabel adresse = new JLabel("Adresse: ");
		adresse.setBounds(12, 251, 60, 17);
		panel.add(adresse);
		
		JLabel vorname = new JLabel("Vorname: ");
		vorname.setBounds(12, 91, 98, 17);
		panel.add(vorname);
		
		JButton insertStudent = new JButton("Insert");
		insertStudent.setBounds(5, 294, 105, 27);
		panel.add(insertStudent);
		
		JButton updateStudent = new JButton("Update");
		updateStudent.setBounds(127, 294, 105, 27);
		panel.add(updateStudent);
		
		eingabeID = new JTextField();
		eingabeID.setBounds(118, 10, 114, 21);
		panel.add(eingabeID);
		eingabeID.setColumns(10);
		
		eingabeName = new JTextField();
		eingabeName.setColumns(10);
		eingabeName.setBounds(118, 50, 114, 21);
		panel.add(eingabeName);
		
		eingabeVorname = new JTextField();
		eingabeVorname.setColumns(10);
		eingabeVorname.setBounds(118, 89, 114, 21);
		panel.add(eingabeVorname);
		
		einagbeGeburtstag = new JTextField();
		einagbeGeburtstag.setColumns(10);
		einagbeGeburtstag.setBounds(118, 128, 114, 21);
		panel.add(einagbeGeburtstag);
		
		eingabeTeleN = new JTextField();
		eingabeTeleN.setColumns(10);
		eingabeTeleN.setBounds(118, 210, 114, 21);
		panel.add(eingabeTeleN);
		
		eingabeAdresse = new JTextField();
		eingabeAdresse.setColumns(10);
		eingabeAdresse.setBounds(118, 249, 114, 21);
		panel.add(eingabeAdresse);
		
		
		
		JList geshlechtAuswaehlen = new JList();
		geshlechtAuswaehlen.setToolTipText("");
		geshlechtAuswaehlen.setBounds(118, 170, 114, 17);
		panel.add(geshlechtAuswaehlen);
	}
}
